Arduino

Serial

## parseInt()

#### Description

Looks for the next valid integer in the incoming serial stream. parseInt() inherits from the Stream utility class.

In particular:

- Initial characters that are not digits or a minus sign, are skipped;
- Parsing stops when no characters have been read for a configurable time-out value, or a non-digit is read;
- If no valid digits were read when the time-out (see Serial.setTimeout()) occurs, 0 is returned;

#### Syntax

Serial.parseInt()

Serial.parseInt(char skipChar)

Arduino Mega only:
Serial1.parseInt()
Serial2.parseInt()
Serial3.parseInt()

#### Parameters

skipChar: used to skip the indicated char in the search. Used for example to skip thousands divider.

#### Returns

long : the next valid integer

#### See also

- Serial
- Stream
- Stream.parseInt()

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- About us
- Careers